#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
int ma=-1;
int maxi;
vector<int>anss;
vector<int>nigger1={0};
vector<int>nigger2={0,1};
vector<int> solve(vector<int>a)
{
    /*int n=a.size();
    for(int b=0;b<n;b++)
    {
        per.push_back(b);
    }
    anss.assign(n, 0);
    for(int j: a)
    {
        s+=j;
    }
    while(next_permutation(per.begin(), per.end()))
    {
        while(curr_ans<=s/2)
        {
            curr_ans+=a[per[i]];
            i++;
        }
        if(s-curr_ans<ans)
        {
            ans=curr_ans;
            for(int i=0;i<n;i++)
            {
                anss[i]=a[per[i]];
            }
        }
        curr_ans=0;
        i=0;
    }
    return anss;*/
    if(a.size()==1)
    {
        return nigger1;
    }
    if(a.size()==2)
    {
        return nigger2;
    }
    for(int i=0;i<a.size();i++)
    {
        if(a[i]>ma)
        {
            ma=a[i];
            maxi=i;
        }
    }
    anss.push_back(maxi);
    for(int i=0;i<a.size();i++)
    {
        if(i!=maxi)
        {
            anss.push_back(i);
        }
    }
    return anss;
}
